# Welcome to maintain this package!

Name: pam_usb
Version: 0.3.3
Release: alt2.1

Summary: PAM module through external storage

Url: http://www.pamusb.org/
License: GPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/pamusb/%name-%version.tar.bz2
Source1: %name-doc.tar.bz2

Patch1: %name.link.patch

Requires: pam

# Automatically added by buildreq on Mon Sep 12 2005
BuildRequires: libncurses-devel libpam-devel libreadline-devel libssl-devel libtinfo-devel

%description
pam_usb is a PAM module that enables authentication using a USB storage
device through DSA private/public keys. It can also work with floppy
disks, CD-ROMs, or any kind of mountable device. It supports multiple
users for the same device, multiple hostnames for the same user, a
serial number access list, and private key encryption. It includes the
usbhotplug tool which by default will run xlock when you remove the USB
device and kill it as soon as the same device is plugged back in.

%prep
%setup -q -a1
%patch1 -p0

%build
%make

%install
mkdir -p %buildroot{/%_lib/security,%_bindir,%_man1dir}
mkdir -p %buildroot%_sysconfdir/pam.d/usbhotplug

%make_install DESTDIR=%buildroot \
		PAM_MODULES=%buildroot/%_lib/security \
		install

%files
/%_lib/security/*
%_bindir/*
%_man1dir/*
%doc AUTHORS Changelog README html
%config(noreplace) %_sysconfdir/hotplug.d/default/pamusb.hotplug
%config(noreplace) %_sysconfdir/pam.d/usbhotplug/usbhotplug.pam
%config(noreplace) %_sysconfdir/pam_usb/handlers/xlock.sh
%config(noreplace) %_sysconfdir/pam_usb/hotplug.conf

%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.3-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sun Oct 15 2006 Denis Smirnov <mithraen@altlinux.ru> 0.3.3-alt2
- try to fix x86_64 build

* Mon Jun 26 2006 Denis Smirnov <mithraen@altlinux.ru> 0.3.3-alt1
- fix link with --as-needed

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.3-alt0.1.1
- Rebuilt with libreadline.so.5.

* Fri Nov 11 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.1
- new version

* Mon Sep 12 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- first build for ALT Linux Sisyphus

* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-2mdk
- Adding documentation
* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1
* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-2mdk
- fixed doc permissions

* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-1mdk
- removed patch0 (kernel 2.6 is supported upstream now)
- fixed URL
- rpmbuildupdate compatible

* Fri Jan 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2-0.rc2.1mdk
- initial packaging

# end of file
